/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */

package ca.uvic.csr.shrimp.adapter.tools;

import java.awt.Rectangle;

import ca.uvic.csr.shrimp.ShrimpApplication.ShrimpApplication;
import ca.uvic.csr.shrimp.gui.NodeFilterPalette;
import ca.uvic.csr.shrimp.resource.ResourceHandler;

/**
 * Opens the NodeFilter tool.
 * 
 * @author Nasir Rather, Chris Callendar
 */
public class OpenNodeFilterAdapter extends AbstractOpenApplicationToolAdapter {

	public static final int FILTER_PALETTE_WIDTH = 300;
	public static final int FILTER_PALETTE_HEIGHT = 350;
	private static final Rectangle BOUNDS = new Rectangle(DOCK_LEFT_OUTSIDE, DOCK_TOP_INSIDE, 
														FILTER_PALETTE_WIDTH, FILTER_PALETTE_HEIGHT);
	
	private String linkedToolName;

	public OpenNodeFilterAdapter(String linkedToolName) {
		super(ShrimpApplication.NODE_FILTER, ResourceHandler.getIcon("icon_node_filter.gif"), BOUNDS);
		this.linkedToolName = linkedToolName;
	}
		
	protected boolean getDefaultVisibility() {
		return true;
	}
	
	/**
	 * @see ca.uvic.csr.shrimp.adapter.tools.AbstractOpenApplicationToolAdapter#createTool()
	 */
	protected void createTool() {
		tool = new NodeFilterPalette(getProject(), linkedToolName);
	}
		
}
