/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.usercontrols;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.io.Serializable;
import java.util.Vector;

import javax.swing.JOptionPane;

import ca.uvic.csr.shrimp.SelectorBeanConstants;
import ca.uvic.csr.shrimp.SelectorBean.SelectorBean;
import ca.uvic.csr.shrimp.ShrimpApplication.ApplicationAccessor;
import ca.uvic.csr.shrimp.ShrimpApplication.BeanNotFoundException;
import ca.uvic.csr.shrimp.ShrimpTool.ShrimpTool;

/**
 * Removes the currently selected artifacts
 *
 * @author Casey Best
 * date: Jan 11, 2001
 */
public class DeleteSelectedArtifactsAdapter extends DefaultToolAction implements ActionListener, Serializable {
	
	public DeleteSelectedArtifactsAdapter(ShrimpTool tool) {
		super ("Delete", tool);
		mustStartAndStop = false;
	}
		
	/**
	 * When button pressed, start the action
	 */
	public void actionPerformed(ActionEvent e) {
		startAction();
	}
	
	/**
	 * Adds the artifact to the selected artifacts
	 */
	public void startAction() {
		try {				
			SelectorBean selectorBean = (SelectorBean) tool.getBean(ShrimpTool.SELECTOR_BEAN);
		
		    Vector selected = (Vector) ((Vector) selectorBean.getSelected(SelectorBeanConstants.SELECTED_NODES)).clone();
		    if (selected.size() > 0) {
				Object[] options = { "OK", "Cancel" };
				int optionPicked = JOptionPane.showOptionDialog(tool.getGUI(), "Warning!  Deleting can't be undone. Delete these nodes?", "Warning - Permanent Deletion", JOptionPane.DEFAULT_OPTION, JOptionPane.WARNING_MESSAGE, null, options, options[0]);
				if (optionPicked == 0) {
					ApplicationAccessor.getApplication().waitCursor();
					try {
						// unselect selected artifacts
						selectorBean.setSelected(SelectorBeanConstants.SELECTED_NODES, new Vector());
		
						// remove the artifacts
					    for (int i = 0; i < selected.size(); i++) {
				    		//Artifact artifact = ((ShrimpNode)selected.elementAt(i)).getArtifact();
				    		//dataBean.removeArtifactAndChildren (artifact, cprel);
					    }
					} finally {
						ApplicationAccessor.getApplication().defaultCursor();
					}
				}
			}
		} catch (BeanNotFoundException bnfe) {
		  	bnfe.printStackTrace();
		}	
	}
}